Create a resumption
POST
/v1/project-import-jobs/{runId}/resumptionscurl -X POST 'https://api.embodiflow.io/v1/project-import-jobs/{runId}/resumptions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"credentials": {
"accessKeyId": "string",
"secretAccessKey": "string"
},
"conditionalIdentitySupported": true
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- runIdstringrequired
Header parameters
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- credentialsobjectrequired
- accessKeyIdstringrequired
- secretAccessKeystringrequired
- conditionalIdentitySupportedboolean
Responses
Success
- dataobjectrequired
- attemptIdstringrequired
- statusstringrequiredAllowed valuesconfirmedresumed
- credentialDeadlineAtstringrequired
- credentialStoragestringrequiredAllowed valuesone-shot-cache
- credentialStatestringrequiredAllowed valuesexpiredconsumedissued
- objectsarray<ObjectImportFrozenObject>required
- bindingsarray<ObjectImportAttemptBinding>required
Response example
{
"data": {
"attemptId": "string",
"status": "confirmed",
"credentialDeadlineAt": "string",
"credentialStorage": "one-shot-cache",
"credentialState": "expired",
"objects": [
{
"key": "string",
"size": 0,
"etag": "string",
"versionId": "string",
"lastModified": "string",
"checksumAlgorithm": "string",
"checksumValue": "string"
}
],
"bindings": [
{
"groupKey": "string",
"dataFormat": "string",
"profile": {
"sourceKind": "string",
"recordingShape": "string",
"privacyRequirement": "string"
},
"objectKeys": [
"string"
],
"unresolvedCode": "string"
}
]
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1